﻿using UnityEngine;
using System.Collections;

public class BunnyController : MonoBehaviour
{
    public static BunnyController instance;

    private Bunny _bunny;
    private Bunny bunny
    {
        get
        {
            if (_bunny == null)
                _bunny = GetComponent<Bunny>();
            return _bunny;
        }
    }

    public float speedBonusScale = 1f;
    public float attractiveTime = 0f;

    void Awake()
    {
        instance = this;
    }

    void OnDestroy()
    {
        instance = null;
    }

	void Update ()
    {
        if(!bunny.alive)
            return;

        Vector3 motor = new Vector3();

        if (Input.GetKey(KeyCode.LeftArrow) || Input.GetKey(KeyCode.A) || Input.GetKey(KeyCode.Q))
        {
            motor.x -= 1f;
        }
        if (Input.GetKey(KeyCode.RightArrow) || Input.GetKey(KeyCode.D))
        {
            motor.x += 1f;
        }
        if (Input.GetKey(KeyCode.UpArrow) || Input.GetKey(KeyCode.W) || Input.GetKey(KeyCode.Z))
        {
            motor.y += 1f;
        }
        if (Input.GetKey(KeyCode.DownArrow) || Input.GetKey(KeyCode.S))
        {
            motor.y -= 1f;
        }

        if(!bunny.isHopping && (motor.x != 0f || motor.y != 0f))
        {
            GameManager.instance.HideTitle();

            float hopSize = bunny.GetComponent<SpriteRenderer>().bounds.size.x * speedBonusScale;
            Vector3 targetPos = transform.position + motor * hopSize;

            targetPos = bunny.ClampHopPosition(targetPos);

            bunny.Hop(targetPos);
        }

        attractiveTime -= Time.deltaTime;
	}
	
}


