﻿using UnityEngine;
using System.Collections;

public enum CarrotType
{
    NORMAL,
    SPEED,
    LOVE
}

public class Carrot : MonoBehaviour
{
    private const float ANIM_DURATION = 0.4f;

    public AudioClip pickupSound;
    [HideInInspector] public CarrotType type;

    private float _animTime;

	// Use this for initialization
	void Start ()
    {
        transform.localScale = new Vector2(1f, 0.1f);
        ++Field.instance.carrotCount;
        type = CarrotType.NORMAL;
	}

    public virtual void OnPickup(Bunny b)
    {
    }

    void OnDestroy()
    {
        if(pickupSound != null)
        {
            var gm = GameManager.instance;
            if(gm != null)
            {
                GameManager.instance.GetComponent<AudioSource>().PlayOneShot(pickupSound);
            }
        }
        --Field.instance.carrotCount;
    }
	
	// Update is called once per frame
	void Update ()
    {
        if (_animTime < ANIM_DURATION)
        {
            _animTime += Time.deltaTime;
            if (_animTime >= ANIM_DURATION)
            {
                _animTime = ANIM_DURATION;
            }
            float r = _animTime / ANIM_DURATION;

            Vector2 scale = transform.localScale;
            scale.y = r;
            transform.localScale = scale;
        }
	}
}


