﻿using UnityEngine;
using System.Collections;

public class SpeedCarrot : Carrot
{
    public float speedScale;
    public float effectDuration = 5f;

    void Start()
    {
        type = CarrotType.SPEED;
    }

    public override void OnPickup(Bunny b)
    {
        base.OnPickup(b);

        BunnyController bc = b.GetComponent<BunnyController>();
        if(bc != null)
        {
            bc.speedBonusScale = speedScale;
            var effect = bc.gameObject.GetComponent<SpeedEffect>();
            if(effect == null)
                effect = bc.gameObject.AddComponent<SpeedEffect>();
            effect.remainingTime = effectDuration;
        }
    }
}

